| Classes - Annotated - Tree - Functions - Home - Structure

# QAsyncIO Class Reference

Encapsulates I/O asynchronicity. More...

`#include <qasyncio.h>`

Inherited by QDataSink and QDataSource.

List of all member functions.

## Public Members

- virtual ~QAsyncIO ()
- void connect ( QObject *, const char * member )

## Protected Members

- void ready ()

## Detailed Description

Encapsulates I/O asynchronicity.

The Qt classes for asynchronous input/output provide a simple mechanism to allow large files or slow data sources to be processed without using large amounts of memory, or blocking the user interface.

This facility is used in Qt to drive animated images. See QImageConsumer.

## Member Function Documentation

### QAsyncIO::~QAsyncIO () `[virtual]`

Destructs the async IO object.

### void QAsyncIO::connect ( QObject * obj, const char * member )

Ensures only one object can respond to changes in readiness.

### void QAsyncIO::ready () `[protected]`

Derived classes should call this when they change from being unready to ready.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.